Loading...
Searching...
No Matches
pappso::DriftSpecMassSpecColorMapPlotWidget Class Reference

`#include <driftspecmassspeccolormapplotwidget.h>`

Inheritance diagram for pappso::DriftSpecMassSpecColorMapPlotWidget:

## Public Member Functions

| DriftSpecMassSpecColorMapPlotWidget (QWidget *parent, const QString &x_axis_label, const QString &y_axis_label)
virtual | ~DriftSpecMassSpecColorMapPlotWidget ()
virtual void | keyPressEvent (QKeyEvent *event) override
| Set the `m_pressedKeyCode` to the key code in `event`.
virtual void | keyReleaseEvent (QKeyEvent *event) override
| Handle specific key codes and trigger respective actions.
virtual void | mouseMoveHandler (QMouseEvent *event) override
| Handle mouse movements, in particular record all the last visited points.
virtual void | mousePressHandler (QMouseEvent *event) override
| Record the clicks of the mouse.
virtual void | mouseReleaseHandler (QMouseEvent *event) override
| React to the release of the mouse buttons.
virtual void | mouseMoveHandlerNotDraggingCursor () override
virtual void | mouseMoveHandlerDraggingCursor () override
Public Member Functions inherited from pappso::BaseColorMapPlotWidget
| BaseColorMapPlotWidget (QWidget *parent)
| BaseColorMapPlotWidget (QWidget *parent, const QString &x_axis_label, const QString &y_axis_label)
virtual | ~BaseColorMapPlotWidget ()
| Destruct `this` BaseColorMapPlotWidget instance.
virtual void | setColorMapPlotConfig (const ColorMapPlotConfig &color_map_config)
virtual const ColorMapPlotConfig & | getColorMapPlotConfig ()
const ColorMapPlotConfig * | getOrigColorMapPlotConfig ()
virtual QCPColorMap * | addColorMap (std::shared_ptr< std::map< double, MapTrace > > double_map_trace_map_sp, const ColorMapPlotConfig color_map_plot_config, const QColor &color)
virtual QCPColorMap * | addColorMap (const TimsFrame &tims_frame, const ColorMapPlotConfig color_map_plot_config, const QColor &color)
virtual void | transposeAxes ()
virtual void | zAxisScaleToLog10 ()
virtual void | zAxisFilterLowPassPercentage (double threshold_percentage)
virtual void | zAxisFilterLowPassThreshold (double threshold)
| fix maximum value for the intensity
virtual void | zAxisFilterHighPassPercentage (double threshold_percentage)
virtual void | zAxisDataResetToOriginal ()
Enums::DataKind | xAxisDataKind () const
Enums::DataKind | yAxisDataKind () const
Enums::AxisScale | axisScale (Enums::Axis axis) const
Enums::AxisScale | xAxisScale () const
Enums::AxisScale | yAxisScale () const
Enums::AxisScale | zAxisScale () const
virtual void | setPlottingColor (QCPAbstractPlottable *plottable_p, const QColor &new_color) override
virtual QColor | getPlottingColor (int index=0) const override
void | dataTo3ColString (QString &data_string)
void | dataToMatrixString (QString &data_string, bool detailed=false)
void | currentXaxisRangeIndices (int &lower, int &upper)
void | currentYaxisRangeIndices (int &lower, int &upper)
Public Member Functions inherited from pappso::BasePlotWidget
| BasePlotWidget (QWidget *parent)
| BasePlotWidget (QWidget *parent, const QString &x_axis_label, const QString &y_axis_label)
virtual | ~BasePlotWidget ()
| Destruct `this` BasePlotWidget instance.
virtual bool | setupWidget ()
virtual void | setPen (const QPen &pen)
virtual const QPen & | getPen () const
virtual void | setPlottingColor (int index, const QColor &new_color)
virtual QColor | getPlottingColor (QCPAbstractPlottable *plottable_p) const
virtual void | setAxisLabelX (const QString &label)
virtual void | setAxisLabelY (const QString &label)
virtual void | resetAxesRangeHistory ()
virtual void | updateAxesRangeHistory ()
| Create new axis range history items and append them to the history.
virtual void | restorePreviousAxesRangeHistory ()
| Go up one history element in the axis history.
virtual void | restoreAxesRangeHistory (std::size_t index)
| Get the axis histories at index `index` and update the plot ranges.
virtual void | spaceKeyReleaseEvent (QKeyEvent *event)
virtual void | directionKeyPressEvent (QKeyEvent *event)
virtual void | directionKeyReleaseEvent (QKeyEvent *event)
virtual void | mousePseudoButtonKeyPressEvent (QKeyEvent *event)
virtual void | mousePseudoButtonKeyReleaseEvent (QKeyEvent *event)
virtual void | mouseReleaseHandlerLeftButton ()
virtual void | mouseReleaseHandlerRightButton ()
virtual void | mouseWheelHandler (QWheelEvent *event)
virtual void | mouseMoveHandlerLeftButtonDraggingCursor ()
virtual void | mouseMoveHandlerRightButtonDraggingCursor ()
virtual void | axisDoubleClickHandler (QCPAxis *axis, QCPAxis::SelectablePart part, QMouseEvent *event)
bool | isClickOntoXAxis (const QPointF &mousePoint)
bool | isClickOntoYAxis (const QPointF &mousePoint)
int | dragDirection ()
| MOUSE-related EVENTS.
virtual void | moveMouseCursorGraphCoordToGlobal (QPointF plot_coordinates)
virtual void | moveMouseCursorPixelCoordToGlobal (QPointF local_coordinates)
virtual void | horizontalMoveMouseCursorCountPixels (int pixel_count)
virtual QPointF | horizontalGetGraphCoordNewPointCountPixels (int pixel_count)
virtual void | verticalMoveMouseCursorCountPixels (int pixel_count)
virtual QPointF | verticalGetGraphCoordNewPointCountPixels (int pixel_count)
virtual QCPRange | getRangeX (bool &found_range, int index) const
| MOUSE MOVEMENTS mouse/keyboard-triggered.
virtual QCPRange | getRangeY (bool &found_range, int index) const
QCPRange | getRange (Enums::Axis axis, RangeType range_type, bool &found_range) const
virtual QCPRange | getInnermostRangeX (bool &found_range) const
virtual QCPRange | getOutermostRangeX (bool &found_range) const
virtual QCPRange | getInnermostRangeY (bool &found_range) const
virtual QCPRange | getOutermostRangeY (bool &found_range) const
void | yMinMaxOnXAxisCurrentRange (double &min, double &max, QCPAbstractPlottable *plottable_p=nullptr)
void | yMinMaxOnXAxisCurrentRange (double &min, double &max, int index)
virtual void | axisRescale ()
| RANGE-related functions.
virtual void | axisReframe ()
virtual void | axisZoom ()
virtual void | axisPan ()
virtual void | replotWithAxesRanges (QCPRange xAxisRange, QCPRange yAxisRange, Enums::Axis axis)
virtual void | replotWithAxisRangeX (double lower, double upper)
virtual void | replotWithAxisRangeY (double lower, double upper)
virtual void | hideAllPlotItems ()
| PLOTTING / REPLOTTING functions.
virtual void | showTracers ()
| Show the traces (vertical and horizontal).
virtual void | hideTracers ()
| Hide the traces (vertical and horizontal).
virtual void | drawXScopeSpanFeatures ()
virtual void | drawYScopeSpanFeatures ()
virtual void | calculateDragDeltas ()
virtual bool | isVerticalDisplacementAboveThreshold ()
virtual void | drawSelectionRectangleAndPrepareZoom (bool as_line_segment=false, bool for_integration=false)
virtual void | updateIntegrationScopeDrawing (bool as_line_segment=false, bool for_integration=false)
virtual void | resetSelectionRectangle ()
virtual void | hideSelectionRectangle (bool reset_values=false)
virtual bool | isSelectionRectangleVisible ()
virtual SelectionDrawingLines | whatIsVisibleOfTheSelectionRectangle ()
virtual void | setFocus ()
| PLOT ITEMS : TRACER TEXT ITEMS...
virtual void | redrawPlotBackground (QWidget *focusedPlotWidget)
| Redraw the background of the `focusedPlotWidget` plot widget.
virtual void | updateContextXandYAxisRanges ()
virtual const BasePlotContext & | getContext () const

## Additional Inherited Members

Signals inherited from pappso::BasePlotWidget
void | setFocusSignal ()
void | lastCursorHoveredPointSignal (const QPointF &pointf)
void | plotRangesChangedSignal (const BasePlotContext &context)
void | xAxisMeasurementSignal (const BasePlotContext &context, bool with_delta)
void | keyPressEventSignal (const BasePlotContext &context)
void | keyReleaseEventSignal (const BasePlotContext &context)
void | mousePressEventSignal (const BasePlotContext &context)
void | mouseReleaseEventSignal (const BasePlotContext &context)
void | mouseWheelEventSignal (const BasePlotContext &context)
void | plottableSelectionChangedSignal (QCPAbstractPlottable *plottable_p, bool selected)
void | integrationRequestedSignal (const BasePlotContext &context)
void | plottableDestructionRequestedSignal (BasePlotWidget *base_plot_widget_p, QCPAbstractPlottable *plottable_p, const BasePlotContext &context)
Protected Member Functions inherited from pappso::BasePlotWidget
virtual void | createAllAncillaryItems ()
virtual void | updateIntegrationScope (bool for_integration=false)
virtual void | updateIntegrationScopeRect (bool for_integration=false)
virtual void | updateIntegrationScopeHorizontalRhomb (bool for_integration=false)
virtual void | updateIntegrationScopeVerticalRhomb (bool for_integration=false)
virtual void | updateIntegrationScopeRhomb (bool for_integration=false)
virtual QString | allLayerNamesToString () const
virtual QString | layerableLayerName (QCPLayerable *layerable_p) const
virtual int | layerableLayerIndex (QCPLayerable *layerable_p) const
Protected Attributes inherited from pappso::BaseColorMapPlotWidget
QCPColorMapData * | mpa_origColorMapData = nullptr
ColorMapPlotConfig | m_colorMapPlotConfig
ColorMapPlotConfig * | mpa_origColorMapPlotConfig = nullptr
Protected Attributes inherited from pappso::BasePlotWidget
QString | m_name = "NOT_SET"
| Name of the plot widget.
QString | m_desc = "NOT_SET"
| Description of the plot widget.
QString | m_fileName
| The name of the data file from which the mass data were read.
QString | m_axisLabelX
QString | m_axisLabelY
BasePlotContext | m_context
int | m_leftMousePseudoButtonKey = Qt::Key_Less
int | m_rightMousePseudoButtonKey = Qt::Key_Greater
QCPItemLine * | mp_selectionRectangeLine1 = nullptr
| Rectangle defining the borders of zoomed-in/out data.
QCPItemLine * | mp_selectionRectangeLine2 = nullptr
QCPItemLine * | mp_selectionRectangeLine3 = nullptr
QCPItemLine * | mp_selectionRectangeLine4 = nullptr
QCPItemText * | mp_xDeltaTextItem = nullptr
| Text describing the x-axis delta value during a drag operation.
QCPItemText * | mp_yDeltaTextItem = nullptr
bool | m_shouldTracersBeVisible = true
| Tells if the tracers should be visible.
QCPItemLine * | mp_hPosTracerItem = nullptr
| Horizontal position tracer.
QCPItemLine * | mp_vPosTracerItem = nullptr
| Vertical position tracer.
QCPItemLine * | mp_vStartTracerItem = nullptr
| Vertical selection start tracer (typically in green).
QCPItemLine * | mp_vEndTracerItem = nullptr
| Vertical selection end tracer (typically in red).
std::size_t | m_lastAxisRangeHistoryIndex = 0
| Index of the last axis range history item.
std::vector< QCPRange * > | m_xAxisRangeHistory
| List of x axis ranges occurring during the panning zooming actions.
std::vector< QCPRange * > | m_yAxisRangeHistory
| List of y axis ranges occurring during the panning zooming actions.
int | m_mouseMoveHandlerSkipAmount = 10
| How many mouse move events must be skipped *‍/.
int | m_mouseMoveHandlerSkipCount = 0
| Counter to handle the "fat data" mouse move event handling.
QColor | m_unfocusedColor = QColor("lightgray")
| Color used for the background of unfocused plot.
QBrush | m_unfocusedBrush = QBrush(m_unfocusedColor)
| Color used for the background of unfocused plot.
QColor | m_focusedColor = QColor(Qt::transparent)
| Color used for the background of focused plot.
QBrush | m_focusedBrush = QBrush(m_focusedColor)
| Color used for the background of focused plot.
QPen | m_pen
| Pen used to draw the graph and textual elements in the plot widget.

## Detailed Description

Definition at line 53 of file driftspecmassspeccolormapplotwidget.h.

## Constructor & Destructor Documentation

## DriftSpecMassSpecColorMapPlotWidget()

pappso::DriftSpecMassSpecColorMapPlotWidget::DriftSpecMassSpecColorMapPlotWidget | ( | QWidget * | parent,
|  | const QString & | x_axis_label,
|  | const QString & | y_axis_label )

explicit

Definition at line 43 of file driftspecmassspeccolormapplotwidget.cpp.

: BaseColorMapPlotWidget(parent, x_axis_label, y_axis_label)
{
}
pappso::BaseColorMapPlotWidget::BaseColorMapPlotWidget
BaseColorMapPlotWidget(QWidget *parent)
Definition basecolormapplotwidget.cpp:71

References pappso::BaseColorMapPlotWidget::BaseColorMapPlotWidget().

## ~DriftSpecMassSpecColorMapPlotWidget()

pappso::DriftSpecMassSpecColorMapPlotWidget::~DriftSpecMassSpecColorMapPlotWidget | ( |  | ) |

virtual

Definition at line 50 of file driftspecmassspeccolormapplotwidget.cpp.

{
}

## Member Function Documentation

## keyPressEvent()

void pappso::DriftSpecMassSpecColorMapPlotWidget::keyPressEvent | ( | QKeyEvent * | event | ) |

override virtual

Set the `m_pressedKeyCode` to the key code in `event`.

Reimplemented from pappso::BasePlotWidget.

Definition at line 57 of file driftspecmassspeccolormapplotwidget.cpp.

{
BasePlotWidget::keyPressEvent(event);
}
pappso::BasePlotWidget::keyPressEvent
virtual void keyPressEvent(QKeyEvent *event)
KEYBOARD-related EVENTS.
Definition baseplotwidget.cpp:601

References pappso::BasePlotWidget::keyPressEvent().

## keyReleaseEvent()

void pappso::DriftSpecMassSpecColorMapPlotWidget::keyReleaseEvent | ( | QKeyEvent * | event | ) |

override virtual

Handle specific key codes and trigger respective actions.

Reimplemented from pappso::BasePlotWidget.

Definition at line 65 of file driftspecmassspeccolormapplotwidget.cpp.

{
BasePlotWidget::keyReleaseEvent(event);
}
pappso::BasePlotWidget::keyReleaseEvent
virtual void keyReleaseEvent(QKeyEvent *event)
Handle specific key codes and trigger respective actions.
Definition baseplotwidget.cpp:629

References pappso::BasePlotWidget::keyReleaseEvent().

## mouseMoveHandler()

void pappso::DriftSpecMassSpecColorMapPlotWidget::mouseMoveHandler | ( | QMouseEvent * | event | ) |

override virtual

Handle mouse movements, in particular record all the last visited points.

This function is reponsible for storing at each time the last visited point in the graph. Here, point is intended as any x/y coordinate in the plot widget viewport, not a graph point.

The stored values are then the basis for a large set of calculations throughout all the plot widget.

Parameters

  pointer | to QMouseEvent from which to retrieve the coordinates of the visited viewport points.

Reimplemented from pappso::BasePlotWidget.

Definition at line 85 of file driftspecmassspeccolormapplotwidget.cpp.

{
BasePlotWidget::mouseMoveHandler(event);
}
pappso::BasePlotWidget::mouseMoveHandler
virtual void mouseMoveHandler(QMouseEvent *event)
KEYBOARD-related EVENTS.
Definition baseplotwidget.cpp:920

References pappso::BasePlotWidget::mouseMoveHandler().

## mouseMoveHandlerDraggingCursor()

void pappso::DriftSpecMassSpecColorMapPlotWidget::mouseMoveHandlerDraggingCursor | ( |  | ) |

override virtual

Reimplemented from pappso::BasePlotWidget.

Definition at line 99 of file driftspecmassspeccolormapplotwidget.cpp.

{
BasePlotWidget::mouseMoveHandlerDraggingCursor();
}
pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor
virtual void mouseMoveHandlerDraggingCursor()
Definition baseplotwidget.cpp:1026

References pappso::BasePlotWidget::mouseMoveHandlerDraggingCursor().

## mouseMoveHandlerNotDraggingCursor()

void pappso::DriftSpecMassSpecColorMapPlotWidget::mouseMoveHandlerNotDraggingCursor | ( |  | ) |

override virtual

Reimplemented from pappso::BasePlotWidget.

Definition at line 92 of file driftspecmassspeccolormapplotwidget.cpp.

{
BasePlotWidget::mouseMoveHandlerNotDraggingCursor();
}
pappso::BasePlotWidget::mouseMoveHandlerNotDraggingCursor
virtual void mouseMoveHandlerNotDraggingCursor()
Definition baseplotwidget.cpp:963

References pappso::BasePlotWidget::mouseMoveHandlerNotDraggingCursor().

## mousePressHandler()

void pappso::DriftSpecMassSpecColorMapPlotWidget::mousePressHandler | ( | QMouseEvent * | event | ) |

override virtual

Record the clicks of the mouse.

Reimplemented from pappso::BasePlotWidget.

Definition at line 107 of file driftspecmassspeccolormapplotwidget.cpp.

{
BasePlotWidget::mousePressHandler(event);
}
pappso::BasePlotWidget::mousePressHandler
virtual void mousePressHandler(QMouseEvent *event)
KEYBOARD-related EVENTS.
Definition baseplotwidget.cpp:1295

References pappso::BasePlotWidget::mousePressHandler().

## mouseReleaseHandler()

void pappso::DriftSpecMassSpecColorMapPlotWidget::mouseReleaseHandler | ( | QMouseEvent * | event | ) |

override virtual

React to the release of the mouse buttons.

Reimplemented from pappso::BasePlotWidget.

Definition at line 115 of file driftspecmassspeccolormapplotwidget.cpp.

{
BasePlotWidget::mouseReleaseHandler(event);
}
pappso::BasePlotWidget::mouseReleaseHandler
virtual void mouseReleaseHandler(QMouseEvent *event)
Definition baseplotwidget.cpp:1410

References pappso::BasePlotWidget::mouseReleaseHandler().

The documentation for this class was generated from the following files:

- pappsomspp/gui/plotwidget/driftspecmassspeccolormapplotwidget.h
- pappsomspp/gui/plotwidget/driftspecmassspeccolormapplotwidget.cpp